<script setup>
const props = defineProps(['modelValue', 'label'])
const emit = defineEmits(['update:modelValue'])
const inputId = props.label.replace(/\s/g, '')
</script>

<template>
<div class="flex items-center p-2 rounded-lg bg-white shadow-xl">
  <ToggleSwitch
    :inputId="inputId"
    :model-value="modelValue"
    @update:model-value="emit('update:modelValue', $event)"
    class="mr-2 scale-[0.8]"
  />
  <label :for="inputId" class="cursor-pointer text-sm">{{ label }}</label>
</div>
</template>

<style scoped lang="scss">
</style>
